Bug 467226 - Evolution has timezone configuration
Evolution has timezone configuration
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 09:57 EDT by David Woodhouse
Modified: 2009-03-09 09:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 09:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-10-16 09:57:09 EDT
I spent a couple of weeks being confused because I've recently started using Evolution's calendar, and it was showing all entries with a 12-hour error.

I've only just worked out that it has its _own_ "speshul" time zone configuration for the calendar, although it does the sensible thing for mail and just uses the system time zone.

Evidently, I did once experiment with Evolution's calendar once before... while I was in New Zealand. I've now set it back to my current time zone, but that's still entirely bogus -- it should be using the _system_ time, not some special time zone of its own. The whole configuration option should just die completely, ideally -- but at the very least there should be an option for 'just use system time'.
Comment 1 David Woodhouse 2008-10-16 09:58:26 EDT
... and if it _is_ going to have its own time zone configuration, it should show the time zone when it's showing appointments.
Comment 2 Matthew Barnes 2009-01-27 10:29:55 EST
Bumping this to Rawhide.  I thought Dan Winship was doing some timezone unification work that might address this.
Comment 3 Christopher Beland 2009-02-24 13:48:27 EST
I think we are describing the same problem here...

In evolution-2.25.91-1.fc11.x86_64, the Evolution Setup Assistant asks me to choose a timezone, with "America/Resolute" as the default choice.

I have already set up my desktop as "America/New York"; I think what we want is for Evolution to simply use that instead of asking me to set the same preference in two places.  (At the very least, New York City, population 8,274,527, would be a more sensible default than Resolute, Nunavut, population 229.)
Comment 4 Mike Chambers 2009-03-07 08:56:02 EST
Matthew, is this something that needs to be reported as a Feature or something upstream or can this be configured inside Fedora itself?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Milan Crha 2009-03-09 09:03:29 EDT
(In reply to comment #4)
> Matthew, is this something that needs to be reported as a Feature or something
> upstream or can this be configured inside Fedora itself?

It's a feature, and definitely rather solved by upstream, say [1], than doing this in fedora only.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=381132
Comment 6 Matthew Barnes 2009-03-09 09:26:57 EDT
Yes, let's move this upstream.
The bug Milan pointed to is the best place to track it.

Note You need to log in before you can comment on or make changes to this bug.